{ sources ? import ./sources.nix }:

let
  pkgs =
    import sources.nixpkgs { overlays = [ (import sources.nixpkgs-mozilla) ]; };
in (pkgs.rustChannelOf {
  date = "2020-03-19";
  channel = "nightly";
}).rust.override {
  extensions = [ "rust-src" "rls-preview" "rustfmt-preview" ];
}
