{ sources ? import ./sources.nix, rust ? import ./rust.nix { }
, pkgs ? import sources.nixpkgs { } }:

with pkgs;

rustPlatform.buildRustPackage rec {
  pname = "bootimage";
  version = "0.7.8";

  inherit rust;

  src = fetchFromGitHub {
    owner = "rust-osdev";
    repo = pname;
    rev = "v${version}";
    sha256 = "1rczflf6fllxkag5nah195shwqvqmlna9a1gkcwp9ljlgxlr9zvq";
  };

  cargoSha256 = "17ssdz0m5kk1arh34gi8xrcaskd8ibx43m0gq6vkyh3bc7ybxmgf";
}

